A fast, cost-efficient model designed for high-volume use cases. Supports video generation with sound.
Setup your API Key
If you don’t have an API key for the AI/ML API yet, feel free to use our Quickstart guide.
How to Make a Call
Step-by-Step Instructions
Generating a video using this model involves sequentially calling two endpoints:
The first one is for creating and sending a video generation task to the server (returns a generation ID).
The second one is for requesting the generated video from the server using the generation ID received from the first endpoint.
Below, you can find both corresponding API schemas.
API Schemas
Create a video generation task and send it to the server
This endpoint creates and sends a video generation task to the server — and returns its ID.
post
Body
modelstring · enumRequiredPossible values:
promptstringRequired
The text description of the scene, subject, or action to generate in the video.
image_urlstring · uriOptional
A direct link to an online image or a Base64-encoded local image to be used as the first frame of the video. Should be 720p or higher resolution.
last_image_urlstring · uriOptional
A direct link to an online image or a Base64-encoded local image to be used as the last frame of the video. Should be 720p or higher resolution.
aspect_ratiostring · enumOptional
The aspect ratio of the generated video.
Possible values:
resolutionstring · enumOptional
The resolution of the output video, where the number refers to the short side in pixels.
Default: 720PPossible values:
durationinteger · enumOptional
The length of the output video in seconds.
Default: 8Possible values:
generate_audiobooleanOptional
Whether to generate audio for the video.
Default: true
person_generationstring · enumOptional
Allow generation of people.
Default: allow_adultPossible values:
Responses
200Success
application/json
idstringRequired
The ID of the generated video.
Example: 60ac7c34-3224-4b14-8e7d-0aa0db708325
statusstring · enumRequired
The current status of the generation task.
Example: completedPossible values:
post
/v2/video/generations
200Success
Retrieve the generated video from the server
After sending a request for video generation, this task is added to the queue. This endpoint lets you check the status of a video generation task using its id, obtained from the endpoint described above.
If the video generation task status is completed, the response will include the final result — with the generated video URL and additional metadata.
curl -L \
--request POST \
--url 'https://api.aimlapi.com/v2/video/generations' \
--header 'Authorization: Bearer <YOUR_AIMLAPI_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"model": "veo-3.1-lite-generate-001",
"prompt": "A menacing evil dragon appears in a distance above the tallest mountain, then rushes toward the camera with its jaws open, revealing massive fangs. We see it’s coming."
}'
import requests
import time
# Insert your AIML API Key instead of <YOUR_AIMLAPI_KEY>:
api_key = "<YOUR_AIMLAPI_KEY>"
base_url = "https://api.aimlapi.com/v2"
# Creating and sending a video generation task to the server
def generate_video():
url = f"{base_url}/video/generations"
headers = {
"Authorization": f"Bearer {api_key}",
}
data = {
"model": "google/veo-3.1-lite-generate-001",
"prompt": "Mona Lisa sits holding glasses in her hands, then puts them on, but changes her mind, says: 'Not today', takes them off, and hides them in a handbag on her lap. Then she smiles.",
"image_url": "https://raw.githubusercontent.com/aimlapi/api-docs/main/reference-files/mona_lisa_extended.jpg",
"tail_image_url": "https://raw.githubusercontent.com/aimlapi/api-docs/main/reference-files/mona_lisa_extended.jpg",
"duration": "8",
}
response = requests.post(url, json=data, headers=headers)
if response.status_code >= 400:
print(f"Error: {response.status_code} - {response.text}")
else:
response_data = response.json()
return response_data
# Requesting the result of the task from the server using the generation_id
def get_video(gen_id):
url = f"{base_url}/video/generations"
params = {
"generation_id": gen_id,
}
headers = {
"Authorization": f"Bearer {api_key}",
"Content-Type": "application/json"
}
response = requests.get(url, params=params, headers=headers)
return response.json()
def main():
# Running video generation and getting a task id
gen_response = generate_video()
gen_id = gen_response.get("id")
print("Generation ID: ", gen_id)
# Try to retrieve the video from the server every 15 sec
if gen_id:
start_time = time.time()
timeout = 1000
while time.time() - start_time < timeout:
response_data = get_video(gen_id)
if response_data is None:
print("Error: No response from API")
break
status = response_data.get("status")
if status in ["queued", "generating"]:
print(f"Status: {status}. Checking again in 15 seconds.")
time.sleep(15)
else:
print("Processing complete:\n", response_data)
return response_data
print("Timeout reached. Stopping.")
return None
if __name__ == "__main__":
main()
const https = require("https");
const { URL } = require("url");
// Replace <YOUR_AIMLAPI_KEY> with your actual AI/ML API key
const apiKey = "<YOUR_AIMLAPI_KEY>";
const baseUrl = "https://api.aimlapi.com/v2";
// Creating and sending a video generation task to the server
function generateVideo(callback) {
const data = JSON.stringify({
model: "google/veo-3.1-lite-generate-001",
prompt: "Mona Lisa sits holding glasses in her hands, then puts them on, but changes her mind, says: 'Not today', takes them off, and hides them in a handbag on her lap. Then she smiles.",
image_url: "https://raw.githubusercontent.com/aimlapi/api-docs/main/reference-files/mona_lisa_extended.jpg",
tail_image_url: "https://raw.githubusercontent.com/aimlapi/api-docs/main/reference-files/mona_lisa_extended.jpg",
duration: "8",
});
const url = new URL(`${baseUrl}/video/generations`);
const options = {
method: "POST",
headers: {
"Authorization": `Bearer ${apiKey}`,
"Content-Type": "application/json",
"Content-Length": Buffer.byteLength(data),
},
};
const req = https.request(url, options, (res) => {
let body = "";
res.on("data", (chunk) => body += chunk);
res.on("end", () => {
if (res.statusCode >= 400) {
console.error(`Error: ${res.statusCode} - ${body}`);
callback(null);
} else {
const parsed = JSON.parse(body);
callback(parsed);
}
});
});
req.on("error", (err) => console.error("Request error:", err));
req.write(data);
req.end();
}
// Requesting the result of the task from the server using the generation_id
function getVideo(genId, callback) {
const url = new URL(`${baseUrl}/video/generations`);
url.searchParams.append("generation_id", genId);
const options = {
method: "GET",
headers: {
"Authorization": `Bearer ${apiKey}`,
"Content-Type": "application/json",
},
};
const req = https.request(url, options, (res) => {
let body = "";
res.on("data", (chunk) => body += chunk);
res.on("end", () => {
const parsed = JSON.parse(body);
callback(parsed);
});
});
req.on("error", (err) => console.error("Request error:", err));
req.end();
}
// Initiates video generation and checks the status every 15 seconds until completion or timeout
function main() {
generateVideo((genResponse) => {
if (!genResponse || !genResponse.id) {
console.error("No generation ID received.");
return;
}
const genId = genResponse.id;
console.log("Generation ID:", genId);
const timeout = 1000 * 1000; // 1000 sec
const interval = 15 * 1000; // 15 sec
const startTime = Date.now();
const checkStatus = () => {
if (Date.now() - startTime >= timeout) {
console.log("Timeout reached. Stopping.");
return;
}
getVideo(genId, (responseData) => {
if (!responseData) {
console.error("Error: No response from API");
return;
}
const status = responseData.status;
if (["queued", "generating"].includes(status)) {
console.log(`Status: ${status}. Checking again in 15 seconds.`);
setTimeout(checkStatus, interval);
} else {
console.log("Processing complete:\n", responseData);
}
});
};
checkStatus();
})
}
main();
Generation ID: 99yQK3XQ6vTZyO9_kHzfS
Status: queued. Checking again in 15 seconds.
Status: generating. Checking again in 15 seconds.
Status: generating. Checking again in 15 seconds.
Status: generating. Checking again in 15 seconds.
Processing complete:
{'id': '99yQK3XQ6vTZyO9_kHzfS', 'status': 'completed', 'video': {'url': 'https://cdn.aimlapi.com/generations/guepard/1779785641262-dc712fd8-4fca-4209-83ae-ddd0934d5363.mp4'}}